class ServPackager expands Actor config (ServerPackager);

var bool bPreInit;
var int i;
var() config string GmType[64];
var() config string	SrvPacks0[32], SrvPacks1[32], SrvPacks2[32], SrvPacks3[32], SrvPacks4[32], SrvPacks5[32], SrvPacks6[32], SrvPacks7[32],
					SrvPacks8[32], SrvPacks9[32], SrvPacks10[32], SrvPacks11[32], SrvPacks12[32], SrvPacks13[32], SrvPacks14[32], SrvPacks15[32],
					SrvPacks16[32], SrvPacks17[32], SrvPacks18[32], SrvPacks19[32], SrvPacks20[32], SrvPacks21[32], SrvPacks22[32], SrvPacks23[32],
					SrvPacks24[32], SrvPacks25[32], SrvPacks26[32], SrvPacks27[32], SrvPacks28[32], SrvPacks29[32], SrvPacks30[32], SrvPacks31[32],
					SrvPacks32[32], SrvPacks33[32], SrvPacks34[32], SrvPacks35[32], SrvPacks36[32], SrvPacks37[32], SrvPacks38[32], SrvPacks39[32],
					SrvPacks40[32], SrvPacks41[32], SrvPacks42[32], SrvPacks43[32], SrvPacks44[32], SrvPacks45[32], SrvPacks46[32], SrvPacks47[32],
					SrvPacks48[32], SrvPacks49[32], SrvPacks50[32], SrvPacks51[32], SrvPacks52[32], SrvPacks53[32], SrvPacks54[32], SrvPacks55[32],
					SrvPacks56[32], SrvPacks57[32], SrvPacks58[32], SrvPacks59[32], SrvPacks60[32], SrvPacks61[32], SrvPacks62[32], SrvPacks63[32];

native(1718) final function bool AddToPackageMap( optional string PkgName);
native(1719) final function bool IsInPackageMap( optional string PkgName, optional bool bServerPackagesOnly);
native (3556) static final function Clock( out float C[2]);
native (3557) static final function float UnClock( out float C[2]);

event PreBeginPlay()
{
	if ( !bPreInit )
	{
		log(">> Actor Loaded and Started.",'ServPackager_64');
		bPreInit = True;
		ScanAndSetGame();
	}
}

final function ScanAndSetGame()
{
	local float F[2], Time;

	if ( GmType[0] == "" )
		SaveConfig();
	if (Caps(string(Outer.Name)) ~= "UT-LOGO-MAP")
		log ("Packages are skipped for this map...",'ServPackager_64');
	else
	{
		Clock( F);
		i = 0;
		for (i = 0; i < 64; i++)
		{
			if ( string(Level.Game.Class.Name) ~= GmType[i] )
			{
				log ("Found game-type"@GmType[i],'ServPackager_64');
				log ("ServerPackages mapping for"@GmType[i]@"is operating as follows:",'ServPackager_64');
				SetupPacks(i);
				log ("ServerPackages mapping for"@GmType[i]@"is ended.",'ServPackager_64');
				break;
			}
		}
		Time = UnClock( F);
		Log("Mapping Packages took around "$int(Time*1000)$" MilliSeconds.",'ServPackager_64');
	}
}

final function SetupPacks(int i)
{
	local int k;

	k = 0;
	switch(i) //Let's go faster
	{
		case 0:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks0[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks0[k]))
				{
					log ("Adding"@SrvPacks0[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks0[k]);
				}
				else
				{
					log ("Package"@SrvPacks0[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 1:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks1[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks1[k]))
				{
					log ("Adding"@SrvPacks1[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks1[k]);
				}
				else
				{
					log ("Package"@SrvPacks1[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 2:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks2[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks2[k]))
				{
					log ("Adding"@SrvPacks2[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks2[k]);
				}
				else
				{
					log ("Package"@SrvPacks2[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 3:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks3[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks3[k]))
				{
					log ("Adding"@SrvPacks3[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks3[k]);
				}
				else
				{
					log ("Package"@SrvPacks3[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 4:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks4[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks4[k]))
				{
					log ("Adding"@SrvPacks4[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks4[k]);
				}
				else
				{
					log ("Package"@SrvPacks4[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 5:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks5[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks5[k]))
				{
					log ("Adding"@SrvPacks5[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks5[k]);
				}
				else
				{
					log ("Package"@SrvPacks5[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 6:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks6[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks6[k]))
				{
					log ("Adding"@SrvPacks6[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks6[k]);
				}
				else
				{
					log ("Package"@SrvPacks6[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 7:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks7[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks7[k]))
				{
					log ("Adding"@SrvPacks7[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks7[k]);
				}
				else
				{
					log ("Package"@SrvPacks7[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 8:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks8[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks8[k]))
				{
					log ("Adding"@SrvPacks8[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks8[k]);
				}
				else
				{
					log ("Package"@SrvPacks8[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 9:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks9[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks9[k]))
				{
					log ("Adding"@SrvPacks9[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks9[k]);
				}
				else
				{
					log ("Package"@SrvPacks9[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 10:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks10[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks10[k]))
				{
					log ("Adding"@SrvPacks10[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks10[k]);
				}
				else
				{
					log ("Package"@SrvPacks10[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 11:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks11[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks11[k]))
				{
					log ("Adding"@SrvPacks11[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks11[k]);
				}
				else
				{
					log ("Package"@SrvPacks11[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 12:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks12[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks12[k]))
				{
					log ("Adding"@SrvPacks12[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks12[k]);
				}
				else
				{
					log ("Package"@SrvPacks12[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 13:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks13[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks13[k]))
				{
					log ("Adding"@SrvPacks13[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks13[k]);
				}
				else
				{
					log ("Package"@SrvPacks13[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 14:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks14[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks14[k]))
				{
					log ("Adding"@SrvPacks14[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks14[k]);
				}
				else
				{
					log ("Package"@SrvPacks14[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 15:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks15[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks15[k]))
				{
					log ("Adding"@SrvPacks15[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks15[k]);
				}
				else
				{
					log ("Package"@SrvPacks15[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 16:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks16[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks16[k]))
				{
					log ("Adding"@SrvPacks16[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks16[k]);
				}
				else
				{
					log ("Package"@SrvPacks16[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 17:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks17[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks17[k]))
				{
					log ("Adding"@SrvPacks17[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks17[k]);
				}
				else
				{
					log ("Package"@SrvPacks17[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 18:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks18[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks18[k]))
				{
					log ("Adding"@SrvPacks18[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks18[k]);
				}
				else
				{
					log ("Package"@SrvPacks18[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 19:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks19[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks19[k]))
				{
					log ("Adding"@SrvPacks19[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks19[k]);
				}
				else
				{
					log ("Package"@SrvPacks19[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 20:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks20[k]) != "")
			{
				if (!IsInPackageMap(SrvPacks20[k]))
				{
					log ("Adding"@SrvPacks20[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks20[k]);
				}
				else
				{
					log ("Package"@SrvPacks20[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 21:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks21[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks21[k]))
				{
					log ("Adding"@SrvPacks21[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks21[k]);
				}
				else
				{
					log ("Package"@SrvPacks21[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 22:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks22[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks22[k]))
				{
					log ("Adding"@SrvPacks22[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks22[k]);
				}
				else
				{
					log ("Package"@SrvPacks22[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 23:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks23[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks23[k]))
				{
					log ("Adding"@SrvPacks23[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks23[k]);
				}
				else
				{
					log ("Package"@SrvPacks23[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 24:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks24[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks24[k]))
				{
					log ("Adding"@SrvPacks24[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks24[k]);
				}
				else
				{
					log ("Package"@SrvPacks24[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 25:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks25[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks25[k]))
				{
					log ("Adding"@SrvPacks25[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks25[k]);
				}
				else
				{
					log ("Package"@SrvPacks25[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 26:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks26[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks26[k]))
				{
					log ("Adding"@SrvPacks26[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks26[k]);
				}
				else
				{
					log ("Package"@SrvPacks26[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 27:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks27[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks27[k]))
				{
					log ("Adding"@SrvPacks27[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks27[k]);
				}
				else
				{
					log ("Package"@SrvPacks27[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 28:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks28[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks28[k]))
				{
					log ("Adding"@SrvPacks28[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks28[k]);
				}
				else
				{
					log ("Package"@SrvPacks28[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 29:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks29[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks29[k]))
				{
					log ("Adding"@SrvPacks29[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks29[k]);
				}
				else
				{
					log ("Package"@SrvPacks29[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 30:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks30[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks30[k]))
				{
					log ("Adding"@SrvPacks30[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks30[k]);
				}
				else
				{
					log ("Package"@SrvPacks30[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 31:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks31[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks31[k]))
				{
					log ("Adding"@SrvPacks31[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks31[k]);
				}
				else
				{
					log ("Package"@SrvPacks31[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 32:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks32[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks32[k]))
				{
					log ("Adding"@SrvPacks32[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks32[k]);
				}
				else
				{
					log ("Package"@SrvPacks32[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 33:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks33[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks33[k]))
				{
					log ("Adding"@SrvPacks33[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks33[k]);
				}
				else
				{
					log ("Package"@SrvPacks33[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 34:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks34[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks34[k]))
				{
					log ("Adding"@SrvPacks34[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks34[k]);
				}
				else
				{
					log ("Package"@SrvPacks34[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 35:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks35[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks35[k]))
				{
					log ("Adding"@SrvPacks35[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks35[k]);
				}
				else
				{
					log ("Package"@SrvPacks35[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 36:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks36[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks36[k]))
				{
					log ("Adding"@SrvPacks36[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks36[k]);
				}
				else
				{
					log ("Package"@SrvPacks36[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 37:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks37[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks37[k]))
				{
					log ("Adding"@SrvPacks37[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks37[k]);
				}
				else
				{
					log ("Package"@SrvPacks37[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 38:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks38[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks38[k]))
				{
					log ("Adding"@SrvPacks38[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks38[k]);
				}
				else
				{
					log ("Package"@SrvPacks38[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 39:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks39[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks39[k]))
				{
					log ("Adding"@SrvPacks39[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks39[k]);
				}
				else
				{
					log ("Package"@SrvPacks39[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 40:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks40[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks40[k]))
				{
					log ("Adding"@SrvPacks40[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks40[k]);
				}
				else
				{
					log ("Package"@SrvPacks40[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 41:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks41[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks41[k]))
				{
					log ("Adding"@SrvPacks41[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks41[k]);
				}
				else
				{
					log ("Package"@SrvPacks41[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 42:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks42[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks42[k]))
				{
					log ("Adding"@SrvPacks42[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks42[k]);
				}
				else
				{
					log ("Package"@SrvPacks42[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 43:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks43[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks43[k]))
				{
					log ("Adding"@SrvPacks43[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks43[k]);
				}
				else
				{
					log ("Package"@SrvPacks43[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 44:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks44[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks44[k]))
				{
					log ("Adding"@SrvPacks44[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks44[k]);
				}
				else
				{
					log ("Package"@SrvPacks44[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 45:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks45[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks45[k]))
				{
					log ("Adding"@SrvPacks45[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks45[k]);
				}
				else
				{
					log ("Package"@SrvPacks45[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 46:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks46[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks46[k]))
				{
					log ("Adding"@SrvPacks46[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks46[k]);
				}
				else
				{
					log ("Package"@SrvPacks46[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 47:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks47[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks47[k]))
				{
					log ("Adding"@SrvPacks47[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks47[k]);
				}
				else
				{
					log ("Package"@SrvPacks47[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 48:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks48[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks48[k]))
				{
					log ("Adding"@SrvPacks48[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks48[k]);
				}
				else
				{
					log ("Package"@SrvPacks48[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 49:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks49[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks49[k]))
				{
					log ("Adding"@SrvPacks49[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks49[k]);
				}
				else
				{
					log ("Package"@SrvPacks49[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 50:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks50[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks50[k]))
				{
					log ("Adding"@SrvPacks50[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks50[k]);
				}
				else
				{
					log ("Package"@SrvPacks50[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 51:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks51[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks51[k]))
				{
					log ("Adding"@SrvPacks51[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks51[k]);
				}
				else
				{
					log ("Package"@SrvPacks51[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 52:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks52[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks52[k]))
				{
					log ("Adding"@SrvPacks52[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks52[k]);
				}
				else
				{
					log ("Package"@SrvPacks52[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 53:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks53[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks53[k]))
				{
					log ("Adding"@SrvPacks53[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks53[k]);
				}
				else
				{
					log ("Package"@SrvPacks53[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 54:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks54[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks54[k]))
				{
					log ("Adding"@SrvPacks54[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks54[k]);
				}
				else
				{
					log ("Package"@SrvPacks54[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 55:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks55[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks55[k]))
				{
					log ("Adding"@SrvPacks55[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks55[k]);
				}
				else
				{
					log ("Package"@SrvPacks55[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 56:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks56[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks56[k]))
				{
					log ("Adding"@SrvPacks56[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks56[k]);
				}
				else
				{
					log ("Package"@SrvPacks56[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 57:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks57[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks57[k]))
				{
					log ("Adding"@SrvPacks57[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks57[k]);
				}
				else
				{
					log ("Package"@SrvPacks57[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 58:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks58[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks58[k]))
				{
					log ("Adding"@SrvPacks58[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks58[k]);
				}
				else
				{
					log ("Package"@SrvPacks58[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 59:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks59[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks59[k]))
				{
					log ("Adding"@SrvPacks59[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks59[k]);
				}
				else
				{
					log ("Package"@SrvPacks59[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 60:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks60[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks60[k]))
				{
					log ("Adding"@SrvPacks60[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks60[k]);
				}
				else
				{
					log ("Package"@SrvPacks60[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 61:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks61[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks61[k]))
				{
					log ("Adding"@SrvPacks61[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks61[k]);
				}
				else
				{
					log ("Package"@SrvPacks61[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 62:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks62[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks62[k]))
				{
					log ("Adding"@SrvPacks62[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks62[k]);
				}
				else
				{
					log ("Package"@SrvPacks62[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
		case 63:
			for ( k = 0; k < 32; k++ )
			if ( (SrvPacks63[k]) != "" )
			{
				if (!IsInPackageMap(SrvPacks63[k]))
				{
					log ("Adding"@SrvPacks63[k]@"in ServerPackages.",'ServPackager_64');
					AddToPackageMap(SrvPacks63[k]);
				}
				else
				{
					log ("Package"@SrvPacks63[k]@"is already declared in ServerPackages. It won't be reloaded...",'ServPackager_64');
				}
			}
			break;
	}
}
